#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('ora_config::on_sid') do
    dispatch :on_sid do
      param 'Variant[Array, Undef]',  :values
      param 'String', :select_sid
    end

    def on_sid(values, select_sid)
      return [] if values.nil?
      values.collect { |e| e['sid'] == select_sid ? e['name'] : nil }.compact
    end
  end
