#
# See the file "LICENSE" for the full license governing this code.
#
# doc
module TablespaceType
  def tablespace_type
    case resource[:contents].to_s
    when 'permanent', 'undo'
      'datafile'
    when 'temporary'
      'tempfile'
    else
      fail "internal error. #{resource[:contents]} is an invalid content type."
    end
  end
end
