#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:username) do
  include EasyType
  include EasyType::Validators::Name
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase

  desc <<-EOD
    The user name.
  EOD

  isnamevar

  data_type('String[1]')

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('USERNAME').upcase
  end
end
