#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:cwd) do
  include EasyType

  desc <<-EOD
    The default directory from where the scripts will be run. If not specified, this will be /tmp.

        ora_exec {...:
          ...
          cwd => '/opt/my_scripts'
        }

  This parameter is convenient when the script you run, expects a default directory. For example
  when running other scripts, without a specified directory:

      @execute.sql


  EOD

  data_type("Optional[String[1]]")
end
