#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'
require 'puppet_x/enterprisemodules/oracle/access'

Puppet::Type.type(:ora_autotask).provide(:simple) do
  include EasyType::Provider
  include Puppet_X::EnterpriseModules::Oracle::Access

  confine :exists => settings_file

  #
  # No need to add or remove anything here
  #
  desc 'This is the generic provider for an easy_type type'

  mk_resource_methods
end
