#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/oracle/access'
require 'puppet_x/enterprisemodules/oracle/settings'
require 'easy_type'

Puppet::Type.type(:ora_directory).provide(:simple) do
  include EasyType::Provider
  include Puppet_X::EnterpriseModules::Oracle::Access
  include Puppet_X::EnterpriseModules::Oracle::Settings

  confine :exists => settings_file

  desc 'Manage directory mappings in an Oracle Database via regular SQL'

mk_resource_methods
end
