#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/oracle/mungers'

newparam(:name) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Mungers::Upcase
  include EasyType::Mungers::String

  desc <<-EOD
    The database name.
  EOD

  isnamevar

  data_type("String[1]")

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('NAME')
  end
end
