#
# See the file "LICENSE" for the full license governing this code.
#
# rubocop: disable Style/ClassAndModuleChildren
# docs
module Puppet_X
module EnterpriseModules
module Oracle
  class ReadOnlyProperty < Puppet::Property

    def insync?(is)
      Puppet.warning "#{path} is a puppet read-only property; unable to change from #{is} to #{should}." if is.to_s != should.to_s
      true
    end
end
end
end
end
